diff -u /dev/null b/device/renesas/mackerel/Android.mk
--- /dev/null	2012-06-25 07:58:54.720999849 +0200
+++ b/device/renesas/mackerel/Android.mk	2012-05-30 13:29:11.000000000 +0200
@@ -0,0 +1,32 @@
+# Copyright (C) 2010 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+LOCAL_PATH := $(my-dir)
+
+CAMERA_DEFAULT := $(TARGET_OUT_SHARED_LIBRARIES)/hw/camera.mackerel$(TARGET_SHLIB_SUFFIX)
+
+include $(CLEAR_VARS)
+
+LOCAL_MODULE := camera.mackerel
+LOCAL_MODULE_TAGS := optional
+LOCAL_MODULE_CLASS := FAKE
+LOCAL_MODULE_PATH := $(TARGET_OUT_SHARED_LIBRARIES)/hw
+
+include $(BUILD_SYSTEM)/base_rules.mk
+
+$(LOCAL_BUILT_MODULE): CAMERA_LIB := camera.v4l$(TARGET_SHLIB_SUFFIX)
+$(LOCAL_BUILT_MODULE):
+	$(hide) echo "Linking $(CAMERA_LIB) <- $(CAMERA_DEFAULT)"
+	$(hide) mkdir -p $(TARGET_OUT_SHARED_LIBRARIES)/hw
+	$(hide) ln -sf $(CAMERA_LIB) $(CAMERA_DEFAULT)
diff -u /dev/null b/device/renesas/mackerel/AndroidBoard.mk
--- /dev/null	2012-06-25 07:58:54.720999849 +0200
+++ b/device/renesas/mackerel/AndroidBoard.mk	2012-05-29 12:06:26.000000000 +0200
@@ -0,0 +1,13 @@
+LOCAL_PATH := $(call my-dir)
+include $(CLEAR_VARS)
+
+ifeq ($(TARGET_PREBUILT_KERNEL),)
+TARGET_PREBUILT_KERNEL := $(LOCAL_PATH)/kernel
+endif
+
+file := $(INSTALLED_KERNEL_TARGET)
+ALL_PREBUILT += $(file)
+$(file): $(TARGET_PREBUILT_KERNEL) | $(ACP)
+	$(transform-prebuilt-to-target)
+
+include $(CLEAR_VARS)
diff -u /dev/null b/device/renesas/mackerel/AndroidProducts.mk
--- /dev/null	2012-06-25 07:58:54.720999849 +0200
+++ b/device/renesas/mackerel/AndroidProducts.mk	2012-02-08 10:30:10.000000000 +0100
@@ -0,0 +1,2 @@
+PRODUCT_MAKEFILES := \
+	$(LOCAL_DIR)/full_mackerel.mk
diff -u /dev/null b/device/renesas/mackerel/BoardConfig.mk
--- /dev/null	2012-06-25 07:58:54.720999849 +0200
+++ b/device/renesas/mackerel/BoardConfig.mk	2012-05-29 12:05:45.000000000 +0200
@@ -0,0 +1,49 @@
+# Copyright (C) 2010 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+#
+# This file sets variables that control the way modules are built
+# thorughout the system. It should not be used to conditionally
+# disable makefiles (the proper mechanism to control what gets
+# included in a build is to use PRODUCT_PACKAGES in a product
+# definition file).
+#
+
+# WARNING: This line must come *before* including the proprietary
+# variant, so that it gets overwritten by the parent (which goes
+# against the traditional rules of inheritance).
+# The proprietary variant sets USE_CAMERA_STUB := false, this way
+# we use the camera stub when the vendor tree isn't present, and
+# the true camera library when the vendor tree is available.  Similarly,
+# we set USE_PROPRIETARY_AUDIO_EXTENSIONS to true in the proprietary variant as
+# well.
+USE_CAMERA_STUB := true
+USE_PROPRIETARY_AUDIO_EXTENSIONS := false
+
+# Use a smaller subset of system fonts to keep image size lower
+SMALLER_FONT_FOOTPRINT := true
+
+TARGET_BOARD_PLATFORM := sh7372
+
+TARGET_CPU_ABI := armeabi-v7a
+TARGET_CPU_ABI2 := armeabi
+TARGET_CPU_SMP := false
+TARGET_ARCH_VARIANT := armv7-a
+ARCH_ARM_HAVE_TLS_REGISTER := true
+
+TARGET_NO_KERNEL := true
+
+BOARD_FLASH_BLOCK_SIZE := 4096
+
+BOARD_USES_GENERIC_AUDIO := false
diff -u /dev/null b/device/renesas/mackerel/CleanSpec.mk
--- /dev/null	2012-06-25 07:58:54.720999849 +0200
+++ b/device/renesas/mackerel/CleanSpec.mk	2012-02-08 09:51:06.000000000 +0100
@@ -0,0 +1,50 @@
+# Copyright (C) 2007 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+# If you don't need to do a full clean build but would like to touch
+# a file or delete some intermediate files, add a clean step to the end
+# of the list.  These steps will only be run once, if they haven't been
+# run before.
+#
+# E.g.:
+#     $(call add-clean-step, touch -c external/sqlite/sqlite3.h)
+#     $(call add-clean-step, rm -rf $(PRODUCT_OUT)/obj/STATIC_LIBRARIES/libz_intermediates)
+#
+# Always use "touch -c" and "rm -f" or "rm -rf" to gracefully deal with
+# files that are missing or have been moved.
+#
+# Use $(PRODUCT_OUT) to get to the "out/target/product/blah/" directory.
+# Use $(OUT_DIR) to refer to the "out" directory.
+#
+# If you need to re-do something that's already mentioned, just copy
+# the command and add it to the bottom of the list.  E.g., if a change
+# that you made last week required touching a file and a change you
+# made today requires touching the same file, just copy the old
+# touch step and add it to the end of the list.
+#
+# ************************************************
+# NEWER CLEAN STEPS MUST BE AT THE END OF THE LIST
+# ************************************************
+
+# For example:
+#$(call add-clean-step, rm -rf $(OUT_DIR)/target/common/obj/APPS/AndroidTests_intermediates)
+#$(call add-clean-step, rm -rf $(OUT_DIR)/target/common/obj/JAVA_LIBRARIES/core_intermediates)
+#$(call add-clean-step, find $(OUT_DIR) -type f -name "IGTalkSession*" -print0 | xargs -0 rm -f)
+#$(call add-clean-step, rm -rf $(PRODUCT_OUT)/data/*)
+
+# ************************************************
+# NEWER CLEAN STEPS MUST BE AT THE END OF THE LIST
+# ************************************************
+$(call add-clean-step, rm -rf $(PRODUCT_OUT)/root/default.prop)
diff -u /dev/null b/device/renesas/mackerel/device.mk
--- /dev/null	2012-06-25 07:58:54.720999849 +0200
+++ b/device/renesas/mackerel/device.mk	2012-02-08 16:02:10.000000000 +0100
@@ -0,0 +1,19 @@
+#
+# Copyright (C) 2010 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+$(call inherit-product, device/renesas/mackerel/device_base.mk)
+
+# Add commands which are mackerel specific after here
diff -u /dev/null b/device/renesas/mackerel/device_base.mk
--- /dev/null	2012-06-25 07:58:54.720999849 +0200
+++ b/device/renesas/mackerel/device_base.mk	2012-05-29 12:09:25.000000000 +0200
@@ -0,0 +1,22 @@
+#
+# Copyright (C) 2010 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+PRODUCT_COPY_FILES += \
+	device/renesas/mackerel/init.mackerel.rc:root/init.mackerel.rc \
+	device/renesas/mackerel/media_profiles.xml:system/etc/media_profiles.xml \
+	device/renesas/mackerel/mackerel-tca6416-keypad.kl:system/usr/keylayout/mackerel-tca6416-keypad.kl \
+	device/renesas/mackerel/mackerel-tca6416-keypad.kcm:system/usr/keychars/mackerel-tca6416-keypad.kcm \
+	device/renesas/mackerel/vold.fstab:system/etc/vold.fstab
diff -u /dev/null b/device/renesas/mackerel/full_mackerel.mk
--- /dev/null	2012-06-25 07:58:54.720999849 +0200
+++ b/device/renesas/mackerel/full_mackerel.mk	2012-05-29 12:10:27.000000000 +0200
@@ -0,0 +1,42 @@
+# Copyright (C) 2010 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+#
+# This file is the build configuration for a full Android
+# build for stingray hardware. This cleanly combines a set of
+# device-specific aspects (drivers) with a device-agnostic
+# product configuration (apps).
+#
+
+# A few more packages that aren't quite used on all builds
+PRODUCT_PACKAGES := \
+	HoloSpiralWallpaper \
+	LiveWallpapersPicker \
+	VisualizationWallpapers
+
+# Camera
+PRODUCT_PACKAGES += \
+    Camera \
+    camera.v4l
+
+# Inherit from those products. Most specific first.
+$(call inherit-product, $(SRC_TARGET_DIR)/product/full_base.mk)
+# This is where we'd set a backup provider if we had one
+$(call inherit-product, device/renesas/mackerel/device.mk)
+
+# Discard inherited values and use our own instead.
+PRODUCT_NAME := full_mackerel
+PRODUCT_DEVICE := mackerel
+PRODUCT_BRAND := Android
+PRODUCT_MODEL := Full Android on Mackerel
diff -u /dev/null b/device/renesas/mackerel/init.mackerel.rc
--- /dev/null	2012-06-25 07:58:54.720999849 +0200
+++ b/device/renesas/mackerel/init.mackerel.rc	2012-05-29 12:11:40.000000000 +0200
@@ -0,0 +1,24 @@
+on early-init
+	export EXTERNAL_STORAGE /mnt/sdcard
+	mkdir /mnt/sdcard 0000 system system
+	# for backwards compatibility
+	symlink /mnt/sdcard /sdcard
+
+on boot
+	setprop ARGH ARGH
+	setprop net.eth0.gw 192.168.1.9
+	setprop net.eth0.dns1 192.168.1.9
+#	setprop net.gprs.local-ip 192.168.1.90
+#	setprop ro.radio.use-ppp no
+#	setprop ro.build.product generic
+#	setprop ro.product.device generic
+
+	chmod 0666 /dev/video0
+	chmod 0664 /dev/graphics/fb0
+
+# fake some battery state
+	setprop hw.nobattery true
+#	setprop status.battery.state Slow
+#	setprop status.battery.level 5
+#	setprop status.battery.level_raw  50
+#	setprop status.battery.level_scale 9
diff -u /dev/null b/device/renesas/mackerel/mackerel-tca6416-keypad.kcm
--- /dev/null	2012-06-25 07:58:54.720999849 +0200
+++ b/device/renesas/mackerel/mackerel-tca6416-keypad.kcm	2012-02-08 11:59:50.000000000 +0100
@@ -0,0 +1 @@
+type SPECIAL_FUNCTION
diff -u /dev/null b/device/renesas/mackerel/mackerel-tca6416-keypad.kl
--- /dev/null	2012-06-25 07:58:54.720999849 +0200
+++ b/device/renesas/mackerel/mackerel-tca6416-keypad.kl	2012-02-08 11:58:04.000000000 +0100
@@ -0,0 +1,4 @@
+key 102   HOME              WAKE_DROPPED
+key 116   POWER             WAKE_DROPPED
+key 139   MENU              WAKE_DROPPED
+key 158   BACK              WAKE_DROPPED
diff -u /dev/null b/device/renesas/mackerel/media_profiles.xml
--- /dev/null	2012-06-25 07:58:54.720999849 +0200
+++ b/device/renesas/mackerel/media_profiles.xml	2012-04-11 01:32:12.000000000 +0200
@@ -0,0 +1,149 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!-- Copyright (C) 2010 The Android Open Source Project
+
+     Licensed under the Apache License, Version 2.0 (the "License");
+     you may not use this file except in compliance with the License.
+     You may obtain a copy of the License at
+
+          http://www.apache.org/licenses/LICENSE-2.0
+
+     Unless required by applicable law or agreed to in writing, software
+     distributed under the License is distributed on an "AS IS" BASIS,
+     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+     See the License for the specific language governing permissions and
+     limitations under the License.
+-->
+<!DOCTYPE MediaSettings [
+<!ELEMENT MediaSettings (CamcorderProfiles,
+                         EncoderOutputFileFormat+,
+                         AudioEncoderCap+,
+                         VideoEncoderCap+,
+                         VideoDecoderCap,
+                         AudioDecoderCap)>
+<!ELEMENT CamcorderProfiles (EncoderProfile+, ImageEncoding+, ImageDecoding, Camera)>
+<!ELEMENT EncoderProfile (Video)>
+<!ATTLIST EncoderProfile quality (high) #REQUIRED>
+<!ATTLIST EncoderProfile fileFormat (mp4) #REQUIRED>
+<!ATTLIST EncoderProfile duration (30|60) #REQUIRED>
+<!ATTLIST EncoderProfile cameraId (0) #REQUIRED>
+<!ELEMENT Video EMPTY>
+<!ATTLIST Video codec (h264) #REQUIRED>
+<!ATTLIST Video bitRate CDATA #REQUIRED>
+<!ATTLIST Video width CDATA #REQUIRED>
+<!ATTLIST Video height CDATA #REQUIRED>
+<!ATTLIST Video frameRate CDATA #REQUIRED>
+<!ELEMENT Audio EMPTY>
+<!ATTLIST Audio codec (amrnb|amrwb|aac) #REQUIRED>
+<!ATTLIST Audio bitRate CDATA #REQUIRED>
+<!ATTLIST Audio sampleRate CDATA #REQUIRED>
+<!ATTLIST Audio channels (1|2) #REQUIRED>
+<!ELEMENT ImageEncoding EMPTY>
+<!ATTLIST ImageEncoding quality (90|80|70) #REQUIRED>
+<!ELEMENT ImageDecoding EMPTY>
+<!ATTLIST ImageDecoding memCap CDATA #REQUIRED>
+<!ELEMENT Camera EMPTY>
+<!ELEMENT EncoderOutputFileFormat EMPTY>
+<!ATTLIST EncoderOutputFileFormat name (3gp) #REQUIRED>
+<!ELEMENT VideoEncoderCap EMPTY>
+<!ATTLIST VideoEncoderCap name (h264) #REQUIRED>
+<!ATTLIST VideoEncoderCap enabled (true|false) #REQUIRED>
+<!ATTLIST VideoEncoderCap minBitRate CDATA #REQUIRED>
+<!ATTLIST VideoEncoderCap maxBitRate CDATA #REQUIRED>
+<!ATTLIST VideoEncoderCap minFrameWidth CDATA #REQUIRED>
+<!ATTLIST VideoEncoderCap maxFrameWidth CDATA #REQUIRED>
+<!ATTLIST VideoEncoderCap minFrameHeight CDATA #REQUIRED>
+<!ATTLIST VideoEncoderCap maxFrameHeight CDATA #REQUIRED>
+<!ATTLIST VideoEncoderCap minFrameRate CDATA #REQUIRED>
+<!ATTLIST VideoEncoderCap maxFrameRate CDATA #REQUIRED>
+<!ELEMENT AudioEncoderCap EMPTY>
+<!ATTLIST AudioEncoderCap name (amrnb|amrwb|aac|wma) #REQUIRED>
+<!ATTLIST AudioEncoderCap enabled (true|false) #REQUIRED>
+<!ATTLIST AudioEncoderCap minBitRate CDATA #REQUIRED>
+<!ATTLIST AudioEncoderCap maxBitRate CDATA #REQUIRED>
+<!ATTLIST AudioEncoderCap minSampleRate CDATA #REQUIRED>
+<!ATTLIST AudioEncoderCap maxSampleRate CDATA #REQUIRED>
+<!ATTLIST AudioEncoderCap minChannels (1|2) #REQUIRED>
+<!ATTLIST AudioEncoderCap maxChannels (1|2) #REQUIRED>
+<!ELEMENT VideoDecoderCap EMPTY>
+<!ATTLIST VideoDecoderCap name (wmv) #REQUIRED>
+<!ATTLIST VideoDecoderCap enabled (true|false) #REQUIRED>
+<!ELEMENT AudioDecoderCap EMPTY>
+<!ATTLIST AudioDecoderCap name (wma) #REQUIRED>
+<!ATTLIST AudioDecoderCap enabled (true|false) #REQUIRED>
+]>
+<!--
+     This file is used to declare the multimedia profiles and capabilities
+     on an android-powered device.
+-->
+<MediaSettings>
+    <!-- Each camcorder profile defines a set of predefined configuration parameters -->
+    <CamcorderProfiles cameraId="0">
+
+        <EncoderProfile quality="high" fileFormat="mp4" duration="60">
+            <Video codec="h264"
+                   bitRate="100000"
+                   width="640"
+                   height="480"
+                   frameRate="15" />
+
+            <Audio codec="aac"
+                   bitRate="96000"
+                   sampleRate="8000"
+                   channels="1" />
+        </EncoderProfile>
+
+        <ImageEncoding quality="90" />
+        <ImageEncoding quality="80" />
+        <ImageEncoding quality="70" />
+        <ImageDecoding memCap="20000000" />
+
+    </CamcorderProfiles>
+
+    <CamcorderProfiles cameraId="1">
+
+        <EncoderProfile quality="low" fileFormat="mp4" duration="60">
+            <Video codec="h264"
+                   bitRate="100000"
+                   width="320"
+                   height="240"
+                   frameRate="15" />
+
+            <Audio codec="aac"
+                   bitRate="96000"
+                   sampleRate="8000"
+                   channels="1" />
+        </EncoderProfile>
+
+        <ImageEncoding quality="90" />
+        <ImageEncoding quality="80" />
+        <ImageEncoding quality="70" />
+        <ImageDecoding memCap="20000000" />
+
+    </CamcorderProfiles>
+
+    <EncoderOutputFileFormat name="3gp" />
+
+    <!--
+         If a codec is not enabled, it is invisible to the applications
+         In other words, the applications won't be able to use the codec
+         or query the capabilities of the codec at all if it is disabled
+    -->
+    <VideoEncoderCap name="h264" enabled="true"
+        minBitRate="64000" maxBitRate="100000"
+        minFrameWidth="640" maxFrameWidth="640"
+        minFrameHeight="480" maxFrameHeight="480"
+        minFrameRate="1" maxFrameRate="20" />
+
+    <VideoDecoderCap name="wmv" enabled="false"/>
+
+    <AudioEncoderCap name="aac" enabled="true"
+        minBitRate="8000" maxBitRate="96000"
+        minSampleRate="8000" maxSampleRate="48000"
+        minChannels="1" maxChannels="1" />
+
+    <AudioEncoderCap name="amrwb" enabled="true"
+        minBitRate="6600" maxBitRate="23050"
+        minSampleRate="16000" maxSampleRate="16000"
+        minChannels="1" maxChannels="1" />
+
+</MediaSettings>
diff -u /dev/null b/device/renesas/mackerel/vendorsetup.sh
--- /dev/null	2012-06-25 07:58:54.720999849 +0200
+++ b/device/renesas/mackerel/vendorsetup.sh	2012-02-08 10:44:43.000000000 +0100
@@ -0,0 +1,23 @@
+#
+# Copyright (C) 2008 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+# This file is executed by build/envsetup.sh, and can use anything
+# defined in envsetup.sh.
+#
+# In particular, you can add lunch options with the add_lunch_combo
+# function: add_lunch_combo generic-eng
+
+add_lunch_combo full_mackerel-userdebug
diff -u /dev/null b/device/renesas/mackerel/vold.fstab
--- /dev/null	2012-06-25 07:58:54.720999849 +0200
+++ b/device/renesas/mackerel/vold.fstab	2012-04-13 10:25:09.000000000 +0200
@@ -0,0 +1 @@
+dev_mount sdcard /mnt/sdcard auto /devices/platform/sh_mobile_sdhi.0 /devices/platform/sh_mobile_sdhi.2 /devices/platform/sh_mmcif.0
